> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a connection

> Update a connection and its products. Adds new products retroactively to an existing connection and triggers a refresh with this updated set of products. The products provided must not already be present on the connection and be supported by the underlying service provider and institution in order to be successful.



## OpenAPI

````yaml /openapi/banklinking-20260203.json post /bank-linking/connections/{connectionId}/update
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/connections/{connectionId}/update:
    post:
      tags:
        - Connections
      summary: Update a connection
      description: >-
        Update a connection and its products. Adds new products retroactively to
        an existing connection and triggers a refresh with this updated set of
        products. The products provided must not already be present on the
        connection and be supported by the underlying service provider and
        institution in order to be successful.
      operationId: bank-linking-connection-update
      parameters:
        - name: connectionId
          in: path
          description: Connection id
          required: true
          schema:
            type: string
            default: ''
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectionAddProductsRequest'
            example:
              products: []
        required: true
      responses:
        '202':
          description: Request for adding products to connection has been accepted
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ConnectionAddProductsResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Connection could not be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ConnectionAddProductsRequest:
      type: object
      properties:
        products:
          type: array
          description: List of products to add retroactively to the connection.
          items:
            type: string
            enum:
              - BALANCES
              - IDENTIFIERS
              - INVESTMENT_HOLDINGS
              - INVESTMENT_TRANSACTIONS
              - OWNERS
              - TRANSACTIONS
          minItems: 1
      required:
        - products
    ConnectionAddProductsResponse:
      type: object
      properties:
        requestId:
          type: string
          description: The id of this request
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````